PHP Manual
Prev |  | Next

# HttpResponse::setCacheControl

(no version information, might be only in CVS)

HttpResponse::setCacheControl -- Set cache control

## Description

staticbool HttpResponse::setCacheControl ( [string control [, int max_age = 0 [, bool must_revalidate = TRUE]]] )

Define a custom `Cache-Control` header, usually being private or public;

## Parameters

`control`

  the primary cache control setting

`max_age`

  the max-age in seconds, suggesting how long the cache entry is valid on the client side

`must_revalidate`

  whether the cached entity should be revalidated by the client for every request

## Return Values

Returns `TRUE` on success, or `FALSE` if control does not match one of public, private or no-cache.

## See Also

HttpResponse::getCacheControl()
HttpResponse::setCache()
HttpResponse::getCachel()

Prev | Home | Next
HttpResponse::setBufferSize | Up | HttpResponse::setCache